%define upstream_name    Term-ReadLine-TTYtter
%define upstream_version 1.4

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    ReadLine support for TTytter
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Term/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch: noarch

%description
A Term::ReadLine driver based on Term::ReadLine::Perl, with special features
for microblogging and the TTYtter client (q.v).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
#make test

%install
%make_install

%files
%doc CHANGES META.yml README
#{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Mon Mar 21 2022 umeabot <umeabot> 1.400.0-11.mga9
+ Revision: 1811465
- Mageia 9 Mass Rebuild

* Sat Feb 15 2020 umeabot <umeabot> 1.400.0-10.mga8
+ Revision: 1523818
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Tue Mar 12 2019 tv <tv> 1.400.0-9.mga7
+ Revision: 1374831
- fix summary+desc

* Wed Sep 19 2018 umeabot <umeabot> 1.400.0-8.mga7
+ Revision: 1271636
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.400.0-7.mga6
+ Revision: 1033977
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.400.0-6.mga6
+ Revision: 942484
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.400.0-5.mga5
+ Revision: 739228
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.400.0-4.mga5
+ Revision: 686381
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.400.0-3.mga4
+ Revision: 514982
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.400.0-2.mga3
+ Revision: 373304
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 28 2012 dlucio <dlucio> 1.400.0-1.mga3
+ Revision: 335789
- SPEC fixes
- imported package perl-Term-ReadLine-TTYtter


* Thu Dec 27 2012 cpan2dist 1.4-1mga
- initial mageia release, generated with cpan2dist
